﻿/*  
     This file is part of Emulators Organizer
    A program that organize emulators and roms.
   
    Copyright (C) 2009 - 2012  Ali Hadid, programmed by Ala Hadid

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AHD.Emulators_Organizer.Base
{
    [Serializable()]
    public class CommandLinesGroup
    {
        List<CommandLine> _CommandLines = new List<CommandLine>();
        /// <summary>
        /// Get or set the commandlines collection
        /// </summary>
        public List<CommandLine> CommandLines
        { get { return _CommandLines; } set { _CommandLines = value; } }

        string _Name = "";
        public string Name
        { get { return _Name; } set { _Name = value; } }

        bool _enabled = false;
        public bool Enabled
        { get { return _enabled; } set { _enabled = value; } }
    }
}
